import * as $dara from '@darabonba/typescript';
import { ModifyVpnPbrRouteEntryWeightResponseBody } from "./ModifyVpnPbrRouteEntryWeightResponseBody";
export declare class ModifyVpnPbrRouteEntryWeightResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyVpnPbrRouteEntryWeightResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
